
python-pyeole - Tâche #10185

Scénario # 10144 (Terminé (Sprint)): to many open files avec l'utilisation de mkstemp

Rechercher et corriger les utilisations de mkstemp

01/06/2015 10:53 AM - Fabrice Barconnière

Status: Fermé Start date: 12/24/2014

Priority: Normal Due date:  

Assigned To: Gwenael Remond % Done: 100%

Target version: sprint  2015 2-4 Estimated time: 6.00 hours

  Spent time: 2.33 hours

Description

Associated revisions

Revision a66a4237 - 01/06/2015 05:06 PM - Gwenael Remond

utilisation de mkstemp dans scribe backend, ref #10185

@30min

Revision 3addb1b7 - 01/06/2015 05:29 PM - Gwenael Remond

utilisation de mkstemp dans scribe backend, ref #10185

@30min

Revision e649481d - 01/06/2015 05:39 PM - Gwenael Remond

utilisation de mkstemp dans scribe backend, ref #10185

Revision 8e06ecd3 - 01/06/2015 05:43 PM - Gwenael Remond

utilisation de mkstemp dans scribe backend, ref #10185

Revision f5519762 - 01/06/2015 05:48 PM - Gwenael Remond

utilisation de mkstemp dans scribe backend, ref #10185

Revision e8f23e1b - 01/06/2015 06:05 PM - Gwenael Remond

utilisation de mkstemp, ref #10185

Revision 161bda12 - 01/08/2015 01:46 PM - Gwenael Remond

Utilisation de mkstemp dans scribe backend

ref: #10185 @10m [ Backport 2.3 ]

Revision 102f4955 - 01/19/2015 05:25 PM - Joël Cuissinat

tests/utils.py : oubli d'un import dans les tests unitaires

Ref: #10185 @10m
Revision a7791558 - 03/13/2015 03:54 PM - Klaas TJEBBES

suppression du "[1]" FIXES #10185

Revision 3772aeef - 03/17/2015 10:41 AM - Klaas TJEBBES

suppression du "[1]" Ref #10185

History

#1 - 01/06/2015 05:47 PM - Gwenael Remond

- Status changed from Nouveau to En cours

#2 - 01/07/2015 09:51 AM - Joël Cuissinat

- Assigned To set to Gwenael Remond

#3 - 01/08/2015 01:44 PM - Joël Cuissinat

- Status changed from En cours to Résolu

- % Done changed from 0 to 100

- Remaining (hours) changed from 6.0 to 0.5

#4 - 01/08/2015 03:07 PM - Joël Cuissinat

Paquet candidat 2.3 : scribe-backend-2.3-eole142~1

#5 - 01/19/2015 05:29 PM - Joël Cuissinat

- Status changed from Résolu to Fermé

- Remaining (hours) changed from 0.5 to 0.0

J'ai refait le tour des commit et cela me semble correct (mis à part l'import manquant dans les tests unitaires Era que je viens de corriger : 

era:102f4955).

#6 - 03/13/2015 03:53 PM - Klaas TJEBBES

- Status changed from Fermé to En cours

File "/usr/lib/python2.7/dist-packages/scribe/eoletools.py", line 456, in launch_smbldap_tool

fd, tempfile = mkstemp(suffix='.temp', dir='%s%s' % (conteneurs.get('container_path_fichier', ''), confdir)) [1]

exceptions.ValueError: too many values to unpack

#7 - 03/13/2015 03:56 PM - Klaas TJEBBES

- Status changed from En cours to Résolu

Appliqué par commit scribe-backend:a77915581a3b69dcefa19e74b2bf3990e19dfda9.

#8 - 03/17/2015 10:37 AM - Joël Cuissinat

- Status changed from Résolu to Fermé
